DataGrail API v1 Reference | DataGrail Documentation
DataGrail DSR Intake API (v1)
The DataGrail DSR Intake API (v1) is built to enable customers and integration partners to programmatically create and manage privacy requests from anywhere. Whether originating from a web or mobile application or a bulk upload through a script, you can create a DSR in the DataGrail platform from wherever you see fit.
Base URL
All API routes use the same base URL consisting of your organization's DataGrail URL and the API version:
https://${yourDataGrailDomain}/api/v1
For example, if your DataGrail URL is camelot.datagrail.io, each endpoint will be preceded with:
https://camelot.datagrail.io/api/v1
Authentication
API keys are used to authenticate requests to the DataGrail API. To request an API key, reach out to your DataGrail Account Manager or email us at support@datagrail.io.
Authentication to the API is performed by passing your API key in the Authorization header using the Bearer Scheme: Authorization: Bearer <api_key>
All API requests must be made over HTTPS.
Test Your Credentials
To confirm your credentials are valid, send a GET request to the /ping endpoint.
A successful response will be an empty request with status 200
- Shell
- Ruby
- Python
curl -i "https://${yourDataGrailDomain}/api/v1/ping" \
-H "Accept: application/json" \
-H "Authorization: Bearer <api_key>"
require 'HTTParty'
base_url = 'https://${yourDataGrailDomain}/api/v1'
HTTParty.get("#{base_url}/ping", headers: { 'Authorization' => "Bearer \\#{api_key}" })
import requests
base_url = 'https://${yourDataGrailDomain}/api/v1'
requests.get('{}/ping'.format(base_url), headers = { 'Authorization': 'Bearer {}'.format(api_key) })
Need help?
If you have any questions, please reach out to your dedicated Account Manager or contact us at support@datagrail.io.
Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.